# Install Wireguard and configure IPTables

This role will install a Wireguard server on a Debian VPS and configure
IPTables to allow certian ports to be passed down to the peer.

This role needs `become: true` to be set.

## Variables

| Name                                   | Is Required? | Default                  |
|:--------------------------------------:|:------------:|:------------------------:|
| `install_wireguard__server_ip`         | ✔️            | `"172.30.87.1"`          |
| `install_wireguard__peer_ip`           | ✔️            | `"172.30.87.2"`          |
| `install_wireguard__server_port`       | ✔️            | 51821                    |
| `install_wireguard__keepalive`         | ❌           | 25                       |
| `install_wireguard__dns_servers`       | ❌           | `["1.1.1.1", "1.0.0.1"]` |
| `install_wireguard__forward_tcp_ports` | ❌           | `[80, 443]`              |
| `install_wireguard__forward_udp_ports` | ❌           | `[51820]`                |
